# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::VLXParser Class Reference

Base class for VLX parsers. More...

`#include <VLXParser.hpp>`

Inheritance diagram for vl::VLXParser:

List of all members.

## Public Member Functions

virtual bool | parseHeader ()=0
virtual bool | parse ()=0
bool | link ()
| Links the.
void | parseMetadata ()
| Moves the <Metadata> key/value pairs in the Metadata map for quick and easy access and removes the <Metadata> structure.
std::vector< ref< VLXStructure > > & | structures ()
| The imported structures.
const std::vector< ref < VLXStructure > > & | structures () const
| The imported structures.
const std::map< std::string, VLXValue > & | metadata () const
| The imported metadata.
const std::string & | encoding () const
| The encoding used to encode strings.
unsigned short | version () const
| The VLX language version.

## Protected Attributes

std::string | mEncoding
unsigned short | mVersion
std::vector< ref< VLXStructure > > | mStructures
std::map< std::string, VLXValue > | mMetadata

## Detailed Description

Base class for VLX parsers.

Definition at line 41 of file VLXParser.hpp.

## Member Function Documentation

virtual bool vl::VLXParser::parseHeader | ( | ) | `[pure virtual]`

Implemented in vl::VLXParserVLB, and vl::VLXParserVLT.

virtual bool vl::VLXParser::parse | ( | ) | `[pure virtual]`

Implemented in vl::VLXParserVLB, and vl::VLXParserVLT.

bool vl::VLXParser::link | ( | ) | `[inline]`

Links the.

Definition at line 52 of file VLXParser.hpp.

References vl::VLXLinker::add(), vl::VLXLinker::link(), and mStructures.

void vl::VLXParser::parseMetadata | ( | ) | `[inline]`

Moves the <Metadata> key/value pairs in the Metadata map for quick and easy access and removes the <Metadata> structure.

Definition at line 63 of file VLXParser.hpp.

References mMetadata, mStructures, and vl::VLXStructure::value().

Referenced by vl::VLXParserVLT::parse(), and vl::VLXParserVLB::parse().

std::vector< ref<VLXStructure> >& vl::VLXParser::structures | ( | ) | `[inline]`

The imported structures.

Definition at line 82 of file VLXParser.hpp.

References mStructures.

const std::vector< ref<VLXStructure> >& vl::VLXParser::structures | ( | ) | const`[inline]`

The imported structures.

Definition at line 85 of file VLXParser.hpp.

References mStructures.

const std::map< std::string, VLXValue >& vl::VLXParser::metadata | ( | ) | const`[inline]`

The imported metadata.

Definition at line 88 of file VLXParser.hpp.

References mMetadata.

const std::string& vl::VLXParser::encoding | ( | ) | const`[inline]`

The encoding used to encode strings.

Definition at line 91 of file VLXParser.hpp.

References mEncoding.

unsigned short vl::VLXParser::version | ( | ) | const`[inline]`

The VLX language version.

Definition at line 94 of file VLXParser.hpp.

References mVersion.

## Member Data Documentation

std::string vl::VLXParser::mEncoding`[protected]`

Definition at line 97 of file VLXParser.hpp.

Referenced by encoding(), vl::VLXParserVLT::parse(), vl::VLXParserVLB::parse(), vl::VLXParserVLT::parseHeader(), and vl::VLXParserVLB::parseHeader().

unsigned short vl::VLXParser::mVersion`[protected]`

Definition at line 98 of file VLXParser.hpp.

Referenced by vl::VLXParserVLT::parse(), vl::VLXParserVLB::parse(), vl::VLXParserVLT::parseHeader(), vl::VLXParserVLB::parseHeader(), version(), vl::VLXParserVLB::VLXParserVLB(), and vl::VLXParserVLT::VLXParserVLT().

std::vector< ref<VLXStructure> > vl::VLXParser::mStructures`[protected]`

Definition at line 99 of file VLXParser.hpp.

Referenced by link(), vl::VLXParserVLT::parse(), vl::VLXParserVLB::parse(), parseMetadata(), and structures().

std::map< std::string, VLXValue > vl::VLXParser::mMetadata`[protected]`

Definition at line 100 of file VLXParser.hpp.

Referenced by metadata(), vl::VLXParserVLT::parse(), vl::VLXParserVLB::parse(), and parseMetadata().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXParser.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:17.
Permission is granted to use this page to write and publish articles regarding Visualization Library.